MODULE params
  IMPLICIT NONE
  SAVE

  ! Precision requirements
  INTEGER, PARAMETER :: i4=SELECTED_INT_KIND(R=9) 
  INTEGER, PARAMETER :: i8=SELECTED_INT_KIND(R=18) 
!  INTEGER, PARAMETER :: r4=SELECTED_REAL_KIND(P=6,R=30) 
  INTEGER, PARAMETER :: r8=SELECTED_REAL_KIND(P=15,R=300) 
!  INTEGER, PARAMETER :: r16=SELECTED_REAL_KIND(P=33,R=4900)

  ! Mathematical constants
  REAL(KIND=r8), PARAMETER :: pi=3.14159265358979323846264_r8
  REAL(KIND=r8), PARAMETER :: twopi=2.0_r8*pi
  REAL(KIND=r8), PARAMETER :: rad2deg=180.0_r8/pi,deg2rad=pi/180.0_r8

  ! File parameters
  INTEGER(KIND=i4), PARAMETER :: minlunit=10,maxlunit=100

END MODULE params
